(function ($) {

  /**
   * Core behavior for Google Analytics Link.
   *
   * Binds to the click event on all configured links.
   */
  Drupal.behaviors.googleanalytics_link = {
    attach: function (context, settings) {
      if (typeof(_gaq) === 'undefined') return;
      var links = settings.googleanalytics_link.links,
          ids = $.map(links, function(value, id) {return '#'+id}).join(',');

      $(ids).once('ga-et', function() {
        $(this).click(function(event) {
          var config = links[this.id];
          _gaq.push(['_trackEvent', config['action'], config['category'], config['label'], config['value']]);
        });
      });
    }
  };
})(jQuery);